public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/python-glanceclient/
Date: Wed, 18 Nov 2015 10:55:59 +0000 (UTC)	[thread overview]
Message-ID: <1447844132.f8b4ebd6f4d259cc18c2b4b9ad695aad9fd9b127.prometheanfire@gentoo> (raw)

commit:     f8b4ebd6f4d259cc18c2b4b9ad695aad9fd9b127
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 18 10:54:10 2015 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Nov 18 10:55:32 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8b4ebd6

dev-python/python-glanceclient: update to fix nova boot bug

Package-Manager: portage-2.2.20.1

 dev-python/python-glanceclient/Manifest            |  1 +
 .../python-glanceclient-1.1.0.ebuild               | 76 ++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-python/python-glanceclient/Manifest b/dev-python/python-glanceclient/Manifest
index 743fcf4..468c42f 100644
--- a/dev-python/python-glanceclient/Manifest
+++ b/dev-python/python-glanceclient/Manifest
@@ -6,3 +6,4 @@ DIST python-glanceclient-0.17.2.tar.gz 134726 SHA256 56ca8fe2c4f33d9dd9b045073bd
 DIST python-glanceclient-0.18.0.tar.gz 132194 SHA256 9784de057ffb8fadd98563452a9f30bfdca6d4531ce166ac2d101cd968a6194a SHA512 091f4a954e58abef40520ecb137fb47e02bd299e9903a83dc9eb26e428e4e0a0f58949e2eead5afaa271ef71e2827f319e72074bf93313ccd506f3374e95367d WHIRLPOOL edfe214cd791baed39f05617b2fa35b3eeae66754b57e9e553f019b3937fe04046bf73c9fa1c811f429a22622777b2507221b712e0b040efb7f8d0e2cb986b71
 DIST python-glanceclient-0.19.0.tar.gz 138756 SHA256 45115023cadfdbc24a10b10ca5d003f8f04fd5642b7c8fb565efa566bac4bf51 SHA512 50591b535bb27eaeaeed02f04bd164d4449df1e2b66a6c8abd4fad327e2293b6c9a1e4226ce3f9180d22a33ed2212bd735ad2d91374121e0d062c590a4cc64c5 WHIRLPOOL 9abb606573211c39becef134803e036f7f6b11591ae95d486749e8a62f2a22490c833750ef5234c2502f7aa0cb24dcf62b326249703fbae0dceb3173b7286bf2
 DIST python-glanceclient-1.0.0.tar.gz 149306 SHA256 46cf0c1bad4ec29c8b56c0a16a2c54f4add89fd33e8756285367cfcdd23595b4 SHA512 fc0ef3ff6da41b750fc1972feee65671aa9cb6deeeb08a39ab271aceacc872886edbcabaa0d7f36574a425fac29bd868f6d4682563719249c2fab80c16f19761 WHIRLPOOL 33d293a959e193fcc8297e60a718c99eacf17e55cccca3204bc521fb50b3793cfe3ea68bb4a570e1f50be44f1421c5fe12ee7b038bd5a95344e5f7f8c29c03a0
+DIST python-glanceclient-1.1.0.tar.gz 149955 SHA256 59ff30927468215131a68ffbfb9b2cb15d636a17cf702d87d0370957b553f25e SHA512 cd20da01afe101e9bd031b2da4448f06d3625fba691993feeba55dfdb77cd90911664d80f7aa08a49a9f024a70e7bb9f00326f215cbba8714f2246c7a0a717a4 WHIRLPOOL c502d4caf2441c0d2a95e865789820b89ef11f3035a992e919ca0a614c5a0ff9cc8cd57916fb314d392d80eecd019a8a4b8e0adb1560fff82126eb3fe70c7cea

diff --git a/dev-python/python-glanceclient/python-glanceclient-1.1.0.ebuild b/dev-python/python-glanceclient/python-glanceclient-1.1.0.ebuild
new file mode 100644
index 0000000..5541f0f
--- /dev/null
+++ b/dev-python/python-glanceclient/python-glanceclient-1.1.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python{3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Glance API"
+HOMEPAGE="https://github.com/openstack/python-glanceclient"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+REQUIRED_USE="test? ( doc )"
+
+CDEPEND=">=dev-python/pbr-1.4[${PYTHON_USEDEP}]
+	<dev-python/pbr-2.0[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}
+	test? (
+		>=dev-python/coverage-3.6[${PYTHON_USEDEP}]
+		>=dev-python/mock-1.2[${PYTHON_USEDEP}]
+		>=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+		>=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+		>=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+		>=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+		>=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
+		>=dev-python/requests-mock-0.6.0[${PYTHON_USEDEP}]
+		>=dev-python/tempest-lib-0.6.1[${PYTHON_USEDEP}]
+	)
+	doc? (
+		>=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+		>=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+		!~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+		<dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+	)
+"
+RDEPEND="
+	${CDEPEND}
+	>=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+	>=dev-python/prettytable-0.7[${PYTHON_USEDEP}]
+	<dev-python/prettytable-0.8[${PYTHON_USEDEP}]
+	>=dev-python/python-keystoneclient-1.6.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.5.2[${PYTHON_USEDEP}]
+	>=dev-python/warlock-1.0.1[${PYTHON_USEDEP}]
+	<dev-python/warlock-2[${PYTHON_USEDEP}]
+	>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-utils-1.9.0[${PYTHON_USEDEP}]
+	>=dev-python/oslo-i18n-1.5.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+	sed -e 's:intersphinx_mapping:_&:' -i doc/source/conf.py || die
+	sed -i '/^argparse/d' requirements.txt || die
+	sed -i '/^hacking/d' test-requirements.txt || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	use doc && esetup.py build_sphinx
+}
+
+python_test() {
+	testr init
+	testr run || die "testsuite failed under python2.7"
+	flake8 tests && einfo "run flake8 over tests folder passed" || die
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( doc/build/html/. )
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2015-11-18 10:56 UTC|newest]

Thread overview: 89+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-11-18 10:55 Matt Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07 12:15 [gentoo-commits] repo/gentoo:master commit in: dev-python/python-glanceclient/ Michał Górny
2024-09-07 11:26 Jakov Smolić
2024-08-23 16:44 Michał Górny
2024-06-01 17:27 Michał Górny
2024-06-01 10:25 Arthur Zamarin
2024-05-17  6:25 Michał Górny
2024-03-16 17:11 Michał Górny
2024-03-16 17:09 Arthur Zamarin
2024-03-01 18:33 Michał Górny
2023-12-05 15:46 Michał Górny
2023-10-03  5:11 Michał Górny
2023-10-03  1:55 Sam James
2023-08-19  5:46 Michał Górny
2023-08-19  5:46 Michał Górny
2023-08-18 18:19 Michał Górny
2023-03-24 19:52 Michał Górny
2023-03-24 19:47 Arthur Zamarin
2023-02-17 18:51 Michał Górny
2022-12-17  7:03 Michał Górny
2022-12-16 20:04 Arthur Zamarin
2022-11-16 17:21 Michał Górny
2022-11-14  6:52 Arthur Zamarin
2022-10-03  6:56 Michał Górny
2022-10-03  0:44 Sam James
2022-09-01 19:42 Arthur Zamarin
2022-08-13 12:35 Michał Górny
2022-08-13 11:24 Arthur Zamarin
2022-07-14  7:31 Michał Górny
2022-06-28 19:42 Michał Górny
2022-06-28 19:17 Arthur Zamarin
2022-06-05  5:46 Michał Górny
2022-05-28 21:12 Jakov Smolić
2022-05-21  6:47 Michał Górny
2022-04-01 18:45 Michał Górny
2022-04-01 17:39 Arthur Zamarin
2022-04-01 17:39 Arthur Zamarin
2022-04-01 17:39 Arthur Zamarin
2022-02-24 18:18 Michał Górny
2022-02-24 18:02 Arthur Zamarin
2021-12-22 19:53 Michał Górny
2021-12-22 19:44 Arthur Zamarin
2021-12-22 19:30 Jakov Smolić
2021-12-22 19:30 Jakov Smolić
2021-11-19  6:18 Arthur Zamarin
2021-11-17  7:49 Sam James
2021-11-12 19:00 Arthur Zamarin
2021-10-17  9:25 Michał Górny
2021-09-26  5:01 Sam James
2021-08-31 12:55 Arthur Zamarin
2021-01-24  0:07 Sam James
2020-11-18  9:47 Michał Górny
2020-11-18  9:47 Michał Górny
2020-11-17 21:15 Thomas Deutschmann
2020-11-14 22:28 Michał Górny
2020-10-15  6:13 Matthew Thode
2020-08-18 11:16 Agostino Sarubbo
2020-06-16 18:39 Matthew Thode
2020-03-28 21:11 Michał Górny
2020-03-28 21:11 Michał Górny
2020-01-12 11:25 Michał Górny
2019-10-03 23:28 Matthew Thode
2019-05-11 19:06 Matthew Thode
2019-04-10  5:08 Matthew Thode
2019-01-12 20:42 Matthew Thode
2018-12-12 22:32 Matthew Thode
2018-11-30 17:02 Matthew Thode
2018-11-01 15:48 Matthew Thode
2018-09-28 20:33 Matt Thode
2018-09-05 21:33 Matt Thode
2018-05-08 16:55 Matt Thode
2018-05-08 16:55 Matt Thode
2018-04-10 20:39 Matt Thode
2018-02-22 19:59 Matt Thode
2018-02-22 19:59 Matt Thode
2017-08-28 21:52 Matt Thode
2017-03-13  1:30 Zac Medico
2017-02-27  4:27 Matt Thode
2016-07-22 15:06 Matt Thode
2016-07-22 15:01 Matt Thode
2016-06-22 10:46 Matt Thode
2016-03-25 23:39 Matt Thode
2016-03-17 20:35 Matt Thode
2016-02-28  6:51 Matt Thode
2015-11-18 11:15 Agostino Sarubbo
2015-11-10  8:24 Agostino Sarubbo
2015-11-10  8:19 Agostino Sarubbo
2015-09-01 16:11 Matt Thode
2015-08-26 10:43 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1447844132.f8b4ebd6f4d259cc18c2b4b9ad695aad9fd9b127.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox